// $ANTLR 2.7.2: "html.g" -> "HTMLLexer.java"$

/*
Copyright (c) 2003 Forward Computing and Control Pty. Ltd.
NSW. Australia,  www.forward.com.au
All rights reserved.

Redistribution of the source of this package, with or without
modification, is NOT permitted.

Redistribution of the compiled java .class files of this package, with or without
modification, are permitted provided that the following conditions
are met:
1. Redistributions in compiled java .class form must reproduce the above
   copyright notice, this list of conditions and the following disclaimer
   in the documentation and/or other materials provided with the distribution.

2. If the software is modified, the compiled java .class distribution must
   include, in the documentation and/or other materials provided with the 
   distribution, a statement that the software has been modified and
   identify the person who was responsible for the modifications.  

3. Neither the name of the author nor Forward Computing and Control may be 
   used to endorse or promote products derived from this software
   without specific prior written permission.

4.  All advertising materials mentioning features or use of this
    software must display the following acknowledgment: 
    "This product includes software developed by Matthew Ford
     and Forward Computing and Control Pty. Ltd. 
    (http://www.forward.com.au)."


THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/

package au.com.forward.runWST.wstAttributeReader.language;
import au.com.forward.runWST.wstAttributeReader.*;
import org.antlr.stringtemplate.*;

public interface HTMLTokenTypes {
	int EOF = 1;
	int NULL_TREE_LOOKAHEAD = 3;
	int PCDATA = 4;
	int OULIST = 5;
	int CULIST = 6;
	int OOLIST = 7;
	int COLIST = 8;
	int ODLIST = 9;
	int CDLIST = 10;
	int OLITEM = 11;
	int CLITEM = 12;
	int ODTERM = 13;
	int CDTERM = 14;
	int ODDEF = 15;
	int CDDEF = 16;
	int TAG = 17;
	int OTHER_TAG = 18;
	int WST_COMMENT_DATA = 19;
	int WST_COMMENT = 20;
	int OWST = 21;
	int CWST = 22;
	int COMMENT_DATA = 23;
	int COMMENT = 24;
	int WS = 25;
	int ATTR = 26;
	int WORD = 27;
	int STRING = 28;
	int WSCHARS = 29;
	int SPECIAL = 30;
	int HEXNUM = 31;
	int INT = 32;
	int HEXINT = 33;
	int DIGIT = 34;
	int HEXDIGIT = 35;
	int LCLETTER = 36;
	int UNDEFINED_TOKEN = 37;
}
